org.jboss.logmanager.handlers

## Class SslTcpOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.logmanager.handlers.TcpOutputStream
    - - org.jboss.logmanager.handlers.SslTcpOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable, FlushableCloseable

    public class SslTcpOutputStream
    extends TcpOutputStream
    implements FlushableCloseable

An output stream that writes data to a `socket`. Uses `SSLSocketFactory.getDefault()` to create the socket.

Author:
  James R. Perkins

### Field Summary

### Fields inherited from class org.jboss.logmanager.handlers.TcpOutputStream

`outputLock`

### Constructor Summary

Constructors
Constructor and Description
`SslTcpOutputStream(InetAddress address, int port)` Creates a SSL TCP output stream.
`SslTcpOutputStream(InetAddress address, int port, boolean blockOnReconnect)` Creates a SSL TCP output stream.

### Method Summary

### Methods inherited from class org.jboss.logmanager.handlers.TcpOutputStream

`close, flush, getErrors, isBlockOnReconnect, isConnected, setBlockOnReconnect, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Flushable

`flush`

### Methods inherited from interface java.io.Closeable

`close`

### Constructor Detail

#### SslTcpOutputStream

    public SslTcpOutputStream(InetAddress address,
                      int port)
                       throws IOException

Creates a SSL TCP output stream.

Uses the `default socket factory` to create the socket.

Parameters:
  `address` - the address to connect to
  `port` - the port to connect to
Throws:
  `IOException` - if an I/O error occurs when creating the socket

#### SslTcpOutputStream

    public SslTcpOutputStream(InetAddress address,
                      int port,
                      boolean blockOnReconnect)
                       throws IOException

Creates a SSL TCP output stream.

Uses the `default socket factory` to create the socket.

Parameters:
  `address` - the address to connect to
  `port` - the port to connect to
  `blockOnReconnect` - `true` to block when attempting to reconnect the socket or `false` to reconnect asynchronously
Throws:
  `IOException` - if an I/O error occurs when creating the socket